summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_static.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2025-07-16 17:52:32 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-07-28 12:53:26 +0200
commit8c2c3430daf3c1091f1033e87658ef02805a42dd (patch)
treeffaeefd710e300e8d3f634e804f4783b4b18398a /utils/lib_sxng_static.sh
parentcd062d7349b857d25e54db91fd5821b1a4a2d004 (diff)
[fix] apply shell formating / shfmt (make format.shell)
Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/lib_sxng_static.sh')
-rwxr-xr-xutils/lib_sxng_static.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/utils/lib_sxng_static.sh b/utils/lib_sxng_static.sh
index 43af38d0f..1ef58f9a9 100755
--- a/utils/lib_sxng_static.sh
+++ b/utils/lib_sxng_static.sh
@@ -1,7 +1,6 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: AGPL-3.0-or-later
-
STATIC_BUILD_COMMIT="[build] /static"
STATIC_BUILT_PATHS=(
'searx/templates/simple/icons.html'
@@ -9,7 +8,7 @@ STATIC_BUILT_PATHS=(
'client/simple/package-lock.json'
)
-static.help(){
+static.help() {
cat <<EOF
static.build.: ${STATIC_BUILD_COMMIT}
commit : build & commit /static folder
@@ -57,8 +56,8 @@ static.build.drop() {
# get only last (option -n1) local commit not in remotes
branch="$(git branch --show-current)"
- last_commit_id="$(git log -n1 "${branch}" --pretty=format:'%h'\
- --not --exclude="${branch}" --branches --remotes)"
+ last_commit_id="$(git log -n1 "${branch}" --pretty=format:'%h' \
+ --not --exclude="${branch}" --branches --remotes)"
if [ -z "${last_commit_id}" ]; then
err_msg "there are no local commits"
@@ -96,7 +95,8 @@ static.build.commit() {
# drop existing commit from previous build
static.build.drop &>/dev/null
- ( set -e
+ (
+ set -e
# fix & build the themes
themes.fix
themes.lint